پرش به محتوای اصلی
همه چیز در حال کار است
آغاز محتوای اصلی
بازگشت به مستندات

account

5 endpoint

GET /api/v1/account scope: account:read

Get your profile + wallet balance

پاسخ‌ها
  • 200Profile fields
نمونه cURL
curl -X GET -H "Authorization: Bearer ic_pat_…" \
  https://iranclaud.ir/api/v1/account
GET /api/v1/me scope: account:read

Alias for /api/v1/account

پاسخ‌ها
  • 200Same payload as /api/v1/account
نمونه cURL
curl -X GET -H "Authorization: Bearer ic_pat_…" \
  https://iranclaud.ir/api/v1/me
GET /api/v1/account/ssh-keys scope: account:read

List your SSH keys

پاسخ‌ها
  • 200List of keys
نمونه cURL
curl -X GET -H "Authorization: Bearer ic_pat_…" \
  https://iranclaud.ir/api/v1/account/ssh-keys
POST /api/v1/account/ssh-keys scope: account:write

Register a new SSH key

بدنه درخواست (JSON)
{
    "label": "laptop",
    "public_key": "ssh-ed25519 AAAA..."
}
پاسخ‌ها
  • 201Key registered; Location header set
نمونه cURL
curl -X POST -H "Authorization: Bearer ic_pat_…" \
  -H "Content-Type: application/json" \
    -d '{"label":"laptop","public_key":"ssh-ed25519 AAAA..."}' \
  https://iranclaud.ir/api/v1/account/ssh-keys
DELETE /api/v1/account/ssh-keys/{uuid} scope: account:write

Delete an SSH key

پارامترهای مسیر
  • uuidKey UUID
پاسخ‌ها
  • 204Deleted
نمونه cURL
curl -X DELETE -H "Authorization: Bearer ic_pat_…" \
  https://iranclaud.ir/api/v1/account/ssh-keys/{uuid}